#include <bits/stdc++.h>
using namespace std;

void solve() {
    int n;
    cin >> n;
    vector<int> a(n);
    for (auto &i : a) cin >> i;
    sort(a.begin(), a.end());
    vector<int> tt(n);
    for (int i = 0; i < (1 << (n - 1)); i ++) {
        tt.clear();
        for (int j = n - 2; j >= 0; j --) {
            if ((i >> j) & 1) {
                tt.push_back(a[j + 1]);
            }
        }
        tt.push_back(a[0]);
        for (int j = 0; j < n - 1; j ++) {
            if ((~i >> j) & 1) {
                tt.push_back(a[j + 1]);
            }
        }
        /*for (int j = 0; j < n; j ++) {
            cout << tt[j] << " ";
        }
        cout << "\n";*/
        for (int j = 1; j + 1 < n; j ++) {
            if (tt[j] * 2 > tt[j - 1] + tt[j + 1]) {
                goto T;
            }
        }
    cout << "YES\n"; return;
        T:;
    }
    cout << "NO\n";
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int nt;
    cin >> nt;
    while (nt --)
    solve();
}
